Skip to main content
`Ctrl`+`K`

# NEPSetEigenvalueComparison

Specifies the eigenvalue comparison function when `NEPSetWhichEigenpairs()` is set to `NEP_WHICH_USER`.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetEigenvalueComparison(NEP nep,SlepcEigenvalueComparisonFn *comp,void *ctx)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- comp - a pointer to the comparison function, see `SlepcEigenvalueComparisonFn` for the calling sequence

- ctx - a context pointer (the last parameter to the comparison function)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetWhichEigenpairs()`, `NEPWhich`

## Level

advanced

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages